# Initiate a payout

### URI

&#x20;<mark style="color:blue;background-color:blue;">**POST**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/transfer
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="325"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code> </td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Body Param

<table data-header-hidden><thead><tr><th width="260"></th><th></th></tr></thead><tbody><tr><td><strong>recipient_bank_code</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>The bank code of the recipient bank</td></tr><tr><td><strong>recipient_account_number</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>The bank account number of the recipient</td></tr><tr><td><strong>amount</strong><br><code>number</code> <mark style="color:red;"><code>required</code></mark></td><td>The amount to be transfered. <em>a minimum of 200 naira</em></td></tr><tr><td><strong>description</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Specifiy the reason for the transaction</td></tr><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant business ID</td></tr><tr><td><strong>payout_otp</strong><br><code>string</code> <mark style="color:red;"><code>optional</code></mark></td><td>Otp received on phone number. This is for businesses that enables OTP check when doing payout</td></tr><tr><td></td><td></td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://api.tryduplo.com/v1/wallets/transfer' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
   "recipient_bank_code": "044",
   "recipient_account_number": "0694002924",
   "amount": "200",
   "description": "chop money",
   "payout_otp": "893745",  //optional. This should be parse if it's enabled
   "business_id":"2e5071-59cb-4057-a14b-d49a3c90ef"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
 "recipient_bank_code": "044",
 "recipient_account_number": "0694002924",
 "amount": "200",
 "description": "chop money",
 "payout_otp": "893745",  //optional. This should be parse if it's enabled
 "business_id": "2e5071-59cb-4057-a14b-d49a3c90ef"
});

var config = {
 method: 'post',
 url: 'https://api.tryduplo.com/v1/wallets/transfer',
 headers: {
   'Authorization': 'Bearer SECRET_KEY',
   'Content-Type': 'application/json'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/transfer',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
 CURLOPT_POSTFIELDS =>'{
   "recipient_bank_code": "044",
   "recipient_account_number": "0694002924",
   "amount": "200",
   "description": "chop money",
   "payout_otp": "893745",  //optional. This should be parse if it's enabled
   "business_id":"2e5071-59cb-4057-a14b-d49a3c90ef"
}',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY',
   'Content-Type: application/json'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {},
   "errors": {},
   "message": "Transaction request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/make-payments/initiate-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
